> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create travel rule entry

> Create travel rule entry for sending address



## OpenAPI

````yaml POST /travel-rules
openapi: 3.0.1
info:
  title: REST API
  description: >-
    # Welcome to Coinbase Exchange API

    ## Introduction

    The Exchange Trading APIs allow institutions to place orders and access
    account information. The following API pages detail various REST API
    endpoints we offer for lower-frequency trading and general requests.

    ## Getting Started

    To get started, please visit one of the following pages:

    - [Authentication](/exchange/docs/rest-auth)

    - [Rate Limits](/exchange/docs/rest-rate-limits)

    - [Pagination](/exchange/docs/rest-pagination)

    - [Status Codes](/exchange/docs/rest-requests)

    - [Quickstart](/exchange/docs/getting-started)

    ## FIX API

    - [FIX API reference](/exchange/docs/fix-connectivity)

    ## WebSocket API

    - [WebSocket API reference](/exchange/docs/websocket-overview)
  version: '1.0'
servers:
  - url: https://api.exchange.coinbase.com/
security:
  - ApiKeyAuthKey: []
    ApiKeyAuthPassphrase: []
    ApiKeyAuthSign: []
    ApiKeyAuthTimestamp: []
paths:
  /travel-rules:
    post:
      tags:
        - Travel Rules
      summary: Create travel rule entry
      description: Create travel rule entry for sending address
      operationId: ExchangeRESTAPI_PostTravelRule
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/apiPostTravelRuleRequest'
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/apiTravelRulePii'
        '401':
          description: Unauthorized.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/apiUnauthorizedResponse'
        '500':
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/apiErrorResponse'
components:
  schemas:
    apiPostTravelRuleRequest:
      type: object
      properties:
        address:
          type: string
          description: Crypto address where funds will be deposited from
        originator_name:
          type: string
          description: Name of the originator of the funds
        originator_country:
          type: string
          description: >-
            ISO 3166-1 alpha-2 formatted country code of the originator of the
            funds
        vasp_id:
          type: string
          description: VASP-uuid
        vasp_country:
          type: string
          description: ISO 3166-1 alpha-2 formatted country code of the VASP
        lei_number:
          type: string
          description: Legal Entity Identifier (LEI) of the VASP
        originator_address:
          $ref: '#/components/schemas/apiStreetAddress'
        wallet_type:
          $ref: '#/components/schemas/apiWalletType'
        is_self_certified:
          type: boolean
          description: True if the user owns the wallet
    apiTravelRulePii:
      type: object
      properties:
        id:
          type: string
          description: Travel rule identifier
        created_at:
          type: string
          description: Timestamp of when entry was added
          format: date-time
        address:
          type: string
          description: Crypto address where funds will be deposited from
        originator_name:
          type: string
          description: Name of the originator of the funds
        originator_country:
          type: string
          description: country code (ISO 3166-1 alpha-2) of the originator of the funds
        vasp_id:
          type: string
          description: VASP-uuid
        vasp_country:
          type: string
          description: ISO 3166-1 alpha-2 formatted country code of the VASP
        lei_number:
          type: string
          description: Legal Entity Identifier (LEI) of the VASP
        originator_address:
          $ref: '#/components/schemas/apiStreetAddress'
    apiUnauthorizedResponse:
      type: object
      properties:
        message:
          title: message
          pattern: ^[a-zA-Z0-9]{1, 32}$
          type: string
      description: >-
        UnauthorizedResponse is the response message for endpoints in
        rest-gateway that requires authentication.

        This message is used to generate the Exchange REST API documentation
        using OpenAPI format.
    apiErrorResponse:
      type: object
      properties:
        message:
          title: message
          pattern: ^[a-zA-Z0-9]{1, 32}$
          type: string
    apiStreetAddress:
      type: object
      properties:
        address_1:
          type: string
        address_2:
          type: string
        address_3:
          type: string
        city:
          type: string
        state:
          type: string
        country:
          type: string
          description: ISO 3166-1 alpha-2 country code.
        postal_code:
          type: string
    apiWalletType:
      type: string
      default: UNKNOWN_WALLET_TYPE
      enum:
        - UNKNOWN_WALLET_TYPE
        - EXCHANGE
        - SELF_HOSTED
  securitySchemes:
    ApiKeyAuthKey:
      type: apiKey
      name: cb-access-key
      in: header
    ApiKeyAuthPassphrase:
      type: apiKey
      name: cb-access-passphrase
      in: header
    ApiKeyAuthSign:
      type: apiKey
      name: cb-access-sign
      in: header
    ApiKeyAuthTimestamp:
      type: apiKey
      name: cb-access-timestamp
      in: header

````